## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TraceListener::TraceListenerSelectFunctor Struct Reference

`#include <TraceListener.hpp>`

Collaboration diagram for TraceListener::TraceListenerSelectFunctor:

List of all members.

## Public Methods

- TraceListenerSelectFunctor (const SelectionEvent& theEvent)
- void operator() (TraceListener* theListener) const

## Public Attributes

- const SelectionEvent& m_event

## Constructor & Destructor Documentation

TraceListener::TraceListenerSelectFunctor::TraceListenerSelectFunctor ( | const SelectionEvent & theEvent )

## Member Function Documentation

void TraceListener::TraceListenerSelectFunctor::operator() ( | TraceListener * theListener ) const`[]`

## Member Data Documentation

const SelectionEvent & TraceListener::TraceListenerSelectFunctor::m_event

The documentation for this struct was generated from the following file:

- TraceListener.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.